package test;

import test.annotations.MethodAnnotation;

public class MainClass implements SomeInterface {

    private String message;
    
    public void setMessage( String message ) {
        this.message = message;
    }
    
    @MethodAnnotation
    public void printMessage() {
        System.out.println( message );
    }
    
    public static void main(String[] args) {
        
        MainClass testClass = new MainClass();
        testClass.setMessage( "Annotation is visible!" );
        testClass.printMessage();
        
        SomeInterface testInterface = new MainClass();
        testInterface.setMessage( "Annotation is not visible!" );
        testInterface.printMessage();
        
    }

}
